#!/bin/bash

echo "Adding mongodb repository for you"
echo "[mongodb-org-4.4]
name=MongoDB Repository
baseurl=https://repo.mongodb.org/yum/redhat/8/mongodb-org/4.4/x86_64/
gpgcheck=1
enabled=1
gpgkey=https://www.mongodb.org/static/pgp/server-4.4.asc
" > /etc/yum.repos.d/mongodb-org-4.4.repo

echo "Adding Constructor repo"
echo "[Constructor]
name=Constructor
baseurl=https://repo.polymatica.ru/centos/8/x86_64/
enabled=1
gpgcheck=0
gpgkey=https://repo.polymatica.ru/constructor.key
" > /etc/yum.repos.d/constructor.repo
echo "Done"

echo "Enabling EPEL repo"
yum -y install epel-release

echo "Disabling nodejs module for v14 hail"
yum module disable -y nodejs

echo "Enabling PowerTools repo"
dnf config-manager --set-enabled PowerTools || dnf config-manager --set-enabled powertools

echo "Done"
